
/*

 * Developed by Jaco Services Pty Ltd for use with Croquet
 
 * Last amended - 30 Septenber 2024
 
*/

.jgo-table {
               table-layout: fixed;
               word-wrap: break-word;
           }
		   
.jgo-border-black {
                      border: 4px solid rgb(0, 0, 0);
                   }		   
		   
.jgo-border-orange {
                      border: 4px solid orange;
                   }		   

.jgo-border-red {
                      border: 4px solid red;
                }

.jgo-border-green {
                      border: 4px solid green;
                }
				
.jgo-border-blue {
                      border: 4px solid blue;
                }				
			
/* this provides closed spaced text	*/	

   p
       {
		   margin: 0 /*! stackoverflow 2787310 */
	   }			

   .im-centered
       {
           margin: auto;
           max-width: 400px;
       }

/* this provides normal black font size	*/

   .font-big-blue
       {
           font-size: 27px;
           color: rgb(0, 204, 255); /* Light blue color */
           font-weight: bold;
       }

/* this provides coloured bold font	*/

   .font-big-red {
              font-size: 27px;
			  color: rgb(255, 0, 0);
			  font-weight: bold;
          }
		  
   .font-big-green {
              font-size: 27px;
			  color: rgb(0, 204, 0);
			  font-weight: bold;
          }	
		  
   .font-big-orange {
              font-size: 27px;
			  color: rgb(255, 204, 0);
			  font-weight: bold;
          }	

   .font-big-brown {
              font-size: 27px;
			  color: rgb(204, 102, 0);
			  font-weight: bold;
          }	

   .font-big-secondary {
              font-size: 27px;
			  color: rgb(102, 153, 153);
			  font-weight: bold;
          }	

   .font-big-purple {
              font-size: 27px;
			  color: rgb(204, 0, 153);
			  font-weight: bold;
          }	

   .font-big-brown {
              font-size: 27px;
			  color: rgb(255, 133, 51);
			  font-weight: bold;
          }		  

/* this provides a <br> spacing of 10% of standard value */	   

   .line-space-10
       {
           line-height:10%;
       }		  

/* this provides a <br> spacing of 50% of standard value */	   

   .line-space-50
       {
           line-height:50%;
       }

/* this provides a <br> spacing of 100% of standard value */	   

   .line-space-100
       {
           line-height:100%;
       }	   

/* this provides a <br> spacing of 200% of standard value */	   

   .line-space-200
       {
           line-height:200%;
       }	   
   
/* this provides a <br> spacing of 300% of standard value */	   

   .line-space-300
       {
           line-height:300%;
       } 

 /*  this provides red dashed line box around text */  
   
.theDiv {
  width: 350px;
  border: dashed red 2px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 33%;
       } 

    .button
    	{
	background-color: #000;
	border: 4px solid orange;
	border-radius: 5px;
        }
		
table#tableId {
  display: none;
}

 /*  this provides a slight shading for the handicap entry box ... to stand out from score entry */	

.shaded-input {
  width: 75px;
  background-color: #f2f2f2;  /* light gray shade */
  text-align: center;
}

 /*  this provides a slight shading for the advantage entry box ... to stand out from score entry */	

.shaded-input-ad {
  width: 75px;
  background-color: #f2f2f2;  /* light gray shade */
  text-align: center;
}

/* this provides the setup for the alert frames */

.custom-alert {
    position: fixed;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    border: 2px solid #333;
    padding: 20px;
    z-index: 9999;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    font-family: Arial, sans-serif;
}	   

   